Products
Create product variant field
Developer API operation for POST /dev/v1/products//variants/fields.
POST
/
dev
/
v1
/
products
/
{id}
/
variants
/
fields
Create product variant field
curl --request POST \
--url https://api.shoppex.io/dev/v1/products/{id}/variants/fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Edition",
"type": "radio",
"required": false,
"sort_order": 1
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Edition', type: 'radio', required: false, sort_order: 1})
};
fetch('https://api.shoppex.io/dev/v1/products/{id}/variants/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/products/{id}/variants/fields"
payload = {
"name": "Edition",
"type": "radio",
"required": False,
"sort_order": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/products/{id}/variants/fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Edition',
'type' => 'radio',
'required' => false,
'sort_order' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/products/{id}/variants/fields"
payload := strings.NewReader("{\n \"name\": \"Edition\",\n \"type\": \"radio\",\n \"required\": false,\n \"sort_order\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {}
}{
"data": {
"id": "field_2",
"name": "Edition",
"type": "radio",
"required": false,
"placeholder": null,
"default_value": null,
"sort_order": 1,
"options": [],
"created_at": 1711953600,
"updated_at": 1711953900
}
}Previous
Get product variant fieldDeveloper API operation for GET /dev/v1/products/{id}/variants/fields/{fieldId}.
Next
⌘I
Create product variant field
